
export default {
  state:{
    //侧边栏是否收缩
    isCollapse:false,
    //默认选中菜单
    active:"",
    //默认展开菜单的数组列表
    openSubmenu:[],
    //侧边栏数据
    navMenuData:[],
    navMenuDataArray:[]
  },
  mutations:{
    initProps (state, payload) {
      state.isCollapse=payload.isCollapse;
      state.active=payload.active;
      state.navMenuData=payload.navMenuData;
      state.navMenuDataArray=payload.navMenuDataArray;
      state.openeds=payload.openeds;

    },
    handlerSwitchCollapse(state){
      state.isCollapse = state.isCollapse?false:true;
    },
    setActive (state, argument) {
      state.active = argument;
    },
    setOpenSubmenu (state, argument) {
      state.openSubmenu = argument;
    }
  },
  actions: {
    handlerSwitchCollapse({commit}){
      commit("handlerSwitchCollapse")
    },
    initProps({commit},value){
      commit("initProps",value)
    },
    setActive ({commit},value) {
      commit("setActive",value)
    },
    setOpenSubmenu ({commit},value) {
      commit("setOpenSubmenu",value)
    }
  }
}
